function init()
	gun.name = "ExplosionAcid"
	gun.fireDelay = 50
	gun.shotrange = 20
	gun.shotspeed = 50
	gun.shotdamage = 2.5
	gun.shotknockback = 0
	
	return 0
end


function update()
	return 0
end


function fire()
	--fire a circle of shots
	rad = 4				--the radius in number of shots
	spread = 180			--the radius in degrees, centered on theta
	for i = -rad, rad do
		gun.addShot("spit.png", gun.firex, gun.firey, gun.firetheta)
		shot.damage = gun.shotdamage
		shot.knockback = gun.shotknockback
		shot.movrot = gun.firetheta + i*(spread/rad)
		shot.lifetimer = gun.shotrange
		shot.scale = .5 + math.random()*2
		shot.faction = gun.owner.faction
		shot.durable = 1
		shot.clearIgnoreList()
	end

	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end